Package twisted :: Package im :: Module basesupport :: Class AbstractClientMixin

[frames | no frames]

## Class AbstractClientMixin

Known Subclasses:
  `IRCProto`, `TOCProto`, `TwistedWordsClient`

Designed to be mixed in to a Protocol implementing class.

Inherit from me first.

Method Summary
| `__init__(self, account, chatui, logonDeferred)`
| `connectionLost(self, reason)`
| `connectionMade(self)`
| ``unregisterAsAccountClient`(self)` Tell the chat UI that I have `signed off'.

Instance Variable Summary
| `_logonDeferred`: Fired when I am done logging in.

Method Details

### unregisterAsAccountClient(self)

Tell the chat UI that I have `signed off'.

Instance Variable Details

### _logonDeferred

Fired when I am done logging in.

Generated by Epydoc 2.0 on Sat May 15 20:07:45 2004 | http://epydoc.sf.net